import { marshall } from '@aws-sdk/util-dynamodb';
export const mapCreateItemsCommand = (config, items) => {
    return {
        RequestItems: {
            [config.tableName]: items.map(item => {
                if (!item[config.partitionKeyName])
                    throw new Error(`Missing partitionKey.`);
                if (config.sortKeyName && !item[config.sortKeyName])
                    throw new Error(`Missing sortKey.`);
                return ({
                    PutRequest: {
                        Item: marshall(item),
                    },
                });
            }),
        },
    };
};
//# sourceMappingURL=mapCreateItemsCommand.js.map